<?php

if ( ! function_exists( 'musik_share' ) ) {
    function musik_share($title, $permalink) {

        $out = '<div class="btn-group">';

        $out .= '<a href="#" class="btn btn-default" data-toggle="dropdown">'.__('Share', 'musik').' <span class="caret"></span></a><ul class="dropdown-menu">';

        $title = urlencode( $title );
        $permalink = urlencode( $permalink );

        $actions = array(
            'twitter' => array(
                'href' => sprintf( 'http://twitter.com/home?status=%s', urlencode( sprintf( __( 'Check this out: %s', 'musik' ), $permalink ) ) ),
                'title' => sprintf( __( 'Share %s on Twitter', 'musik' ), $title ),
                'text' => __( 'Share on Twitter', 'musik' ),
            ),
            'googleplus' => array(
                'href' => sprintf( 'https://plus.google.com/share?url=%s', urlencode( $permalink ) ),
                'title' => sprintf( __( 'Add %s to Google Plus', 'musik' ), $title ),
                'text' => __( 'Add to Google+', 'musik' ),
            ),
            'facebook' => array(
                'href' => sprintf( 'http://www.facebook.com/sharer.php?u=%s&t=%s', urlencode( $permalink ), urlencode( __( 'Check this out', 'musik' ) ) ),
                'title' => sprintf( __( 'Share %s on Facebook', 'musik' ), $title ),
                'text' => __( 'Share on Facebook', 'musik' ),
            )
        );

        foreach ( $actions as $action ) {
            $out .= '<li><a href="' . $action['href'] . '" title="' . esc_attr( $action['title'] ) . '">' . $action['text'] . '</a></li>';
        }

        $out .= '</ul>';
        $out .= '</div>';

        return $out;
    }
}


function content_limit($content, $limit) {
  $excerpt = explode(' ', $content, $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  } 
  $excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
  return $excerpt;
}

function event_pagesize( $query ) 
{
    if ( is_category( 'event' ) )
    {
        // If you want "showposts"
        $query->query_vars['showposts'] = 12;
        return;
    }
}
add_action( 'pre_get_posts', 'event_pagesize', 1 );


/*  Add responsive container to embeds
/* ------------------------------------ */  
function musik_embed_html( $html ) {
    return '<div class="video-container">' . $html . '</div>';
}

add_filter( 'embed_oembed_html', 'musik_embed_html', 10, 3 );
add_filter( 'video_embed_html', 'musik_embed_html' ); // Jetpack
