<?php
/**
 * Partial: Content Download
*/
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('item'); ?>>
    <div class="pos-rlt">
        <div class="item-overlay opacity r bg-black">
            <div class="center text-center m-t-n">
              <a href="javascript:;" data-id="<?php echo esc_attr( $post->ID ); ?>" class="play-me">
                <i class="icon-control-play i-2x text"></i>
                <i class="icon-control-pause i-2x text-active"></i>
              </a>
            </div>
        </div>
        <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
            <?php if ( has_post_thumbnail() ): ?>
                <?php the_post_thumbnail( 'thumbnail', array( 'class' => 'r img-full' ) ); ?>
            <?php else: ?>
                <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/default_300_300.jpg" alt="<?php the_title_attribute(); ?>" class="r img-full"/>
            <?php endif ?>
        </a>
    </div>

    <div class="m-t-sm m-b-lg item-desc">
        <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="text-ellipsis"><?php the_title(); ?></a>
        <?php
            $artist = get_the_term_list( $post->ID, 'download_artist', '', ', ', '' );
            if (!is_wp_error( $artist ) && '' != $artist ) {
                echo '<div class="text-muted text-xs text-ellipsis">'. esc_html__('by ', 'musik') . $artist .'</div>';
            }
        ?>
    </div>
</article>
